Skip to main content
GET
/
api
/
v1
/
openclaw
/
reddit
/
post
Post Comments
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/reddit/post \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
Reddit post URL (e.g., https://www.reddit.com/r/AskReddit/comments/ablzuq/people_who_havent_pooped_in_2019_yet_why_are_you/)
cursor
string
Cursor to get more comments, or replies. (e.g., ed1lvsa,ed3fnpq,ed25l2w)
trim
boolean
Set to true for a trimmed down version of the response (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/reddit/post?url=https://www.reddit.com/r/AskReddit/comments/ablzuq/people_who_havent_pooped_in_2019_yet_why_are_you/" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "post": {
      "subreddit": "AskReddit",
      "title": "People who haven't pooped in 2019 yet, why are you still holding on to last years shit?",
      "subreddit_name_prefixed": "r/AskReddit",
      "ups": 12345,
      "score": 67890,
      "num_comments": 5678
    },
    "comments": [
      // ... comments array
    ]
  },
  "meta": {
    "platform": "reddit",
    "endpoint": "post",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.

Note

Rates and quotas may apply based on your Yoinkit subscription.